/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IScope, auto } from "angular";
import { ControllerBase } from "../base.controller";
import { IModalInstance } from "../../services/modal.service.interface";
export declare abstract class DialogControllerBase extends ControllerBase {
    protected modalInstance: IModalInstance;
    protected constructor(scope: IScope, modalInstance: IModalInstance, injector: auto.IInjectorService);
    cancel(): void;
    protected close(result?: any): void;
}
