/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { DirectiveBase } from "./base.directive";
import { IScope, IAttributes, IController, ITranscludeFunction } from "angular";
import { IKeyProcessorService } from "../services/key-processor.service.interface";
export declare class OnKeyboardDirective extends DirectiveBase {
    private keyProcessor;
    restrict: string;
    constructor(keyProcessor: IKeyProcessorService);
    protected create(scope: IScope, instanceElement: JQuery, instanceAttributes: IAttributes, controller: IController, transclude: ITranscludeFunction): void;
    static factory(keyProcessor: IKeyProcessorService): OnKeyboardDirective;
}
