/// <reference types="angular" />
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { IUrlService } from "./url.service.interface";
import { ISCEService } from "angular";
export declare class UrlService extends ServiceBase implements IUrlService {
    private sce;
    constructor(sce: ISCEService);
    getParsedUrl(url: string): string;
    static factory(sce: ISCEService): IUrlService;
}
